PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
plask::MaterialsDB::MixedDopantFactory Struct Reference

Factory of alloy material which construct its versions with mixed versions of two dopants (for material with same compositions). More...

`#include <plask/material/db.hpp>`

Inheritance diagram for plask::MaterialsDB::MixedDopantFactory:
[legend]
Collaboration diagram for plask::MaterialsDB::MixedDopantFactory:
[legend]

## Public Member Functions
| MixedDopantFactory (shared_ptr< const MaterialConstructor > constructor, double m1DopAmount, double m2DopAmount, double shape=1.)
| Construct MixedDopantFactory for given material constructor of simple material, and doping amounts for this constructor.
shared_ptr< Material > | operator() (double m1_weight) const override
| Construct material.
shared_ptr< Material > | singleMaterial () const override
| Get material only if this factory represents solid material (if operator(double m1_weight) is independent from m1_weight).
Public Member Functions inherited from plask::MaterialsDB::MixedCompositionFactory
| MixedCompositionFactory (shared_ptr< const MaterialConstructor > constructor)
| Construct MixedCompositionFactory for given material constructor and two compositions for this constructor.
virtual | ~MixedCompositionFactory ()

## Protected Attributes
double | m1DopAmount
double | m2DopAmount
double | shape
Protected Attributes inherited from plask::MaterialsDB::MixedCompositionFactory
shared_ptr< const MaterialConstructor > | constructor

## Detailed Description

Factory of alloy material which construct its versions with mixed versions of two dopants (for material with same compositions).

Definition at line 250 of file db.hpp.

## Constructor & Destructor Documentation

## ◆ MixedDopantFactory()

plask::MaterialsDB::MixedDopantFactory::MixedDopantFactory | ( | shared_ptr< const MaterialConstructor > | constructor,
|  | double | m1DopAmount,
|  | double | m2DopAmount,
|  | double | shape = `1.`
| ) |  |
| inline

Construct MixedDopantFactory for given material constructor of simple material, and doping amounts for this constructor.

Parameters

  constructor | material constructor
  m1DopAmount,m2DopAmount | amounts of doping for first and second material
  shape | changing material shape exponent

Definition at line 263 of file db.hpp.

## Member Function Documentation

## ◆ operator()()

shared_ptr< Material > plask::MaterialsDB::MixedDopantFactory::operator() | ( | double | m1_weight | ) | const
| inline override virtual

Construct material.

Parameters

  m1_weight | weight of first composition and dopant

Returns
  constructed material

Implements plask::MaterialsDB::MixedCompositionFactory.

Definition at line 271 of file db.hpp.

## ◆ singleMaterial()

shared_ptr< Material > plask::MaterialsDB::MixedDopantFactory::singleMaterial | ( |  | ) | const
| inline override virtual

Get material only if this factory represents solid material (if operator(double m1_weight) is independent from m1_weight).

Returns
  material or nullptr if it is not solid

Implements plask::MaterialsDB::MixedCompositionFactory.

Definition at line 275 of file db.hpp.

## Member Data Documentation

## ◆ m1DopAmount

double plask::MaterialsDB::MixedDopantFactory::m1DopAmount
| protected

Definition at line 252 of file db.hpp.

## ◆ m2DopAmount

double plask::MaterialsDB::MixedDopantFactory::m2DopAmount
| protected

Definition at line 252 of file db.hpp.

## ◆ shape

double plask::MaterialsDB::MixedDopantFactory::shape
| protected

Definition at line 254 of file db.hpp.

The documentation for this struct was generated from the following file:

- plask/material/db.hpp